;;; This file was automatically generated by SWIG (http://www.swig.org).
;;; Version 1.3.40
;;;
;;; Do not make changes to this file unless you know what you are doing--modify
;;; the SWIG interface file instead.

(in-package :llvm)


(cffi:defcfun ("LLVMAddArgumentPromotionPass" LLVMAddArgumentPromotionPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddConstantMergePass" LLVMAddConstantMergePass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddDeadArgEliminationPass" LLVMAddDeadArgEliminationPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddDeadTypeEliminationPass" LLVMAddDeadTypeEliminationPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddFunctionAttrsPass" LLVMAddFunctionAttrsPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddFunctionInliningPass" LLVMAddFunctionInliningPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddGlobalDCEPass" LLVMAddGlobalDCEPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddGlobalOptimizerPass" LLVMAddGlobalOptimizerPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddIPConstantPropagationPass" LLVMAddIPConstantPropagationPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddLowerSetJmpPass" LLVMAddLowerSetJmpPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddPruneEHPass" LLVMAddPruneEHPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddRaiseAllocationsPass" LLVMAddRaiseAllocationsPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddStripDeadPrototypesPass" LLVMAddStripDeadPrototypesPass) :void
  (PM LLVMPassManagerRef))

(cffi:defcfun ("LLVMAddStripSymbolsPass" LLVMAddStripSymbolsPass) :void
  (PM LLVMPassManagerRef))


